Subject: bug#6436: 23.2; C-h C-h incomprehensible to new users

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 21 Aug 2019 16:41:22 -0700

Arne Babenhauserheide <[email-masked]> writes:

> The integrated help in emacs is a great tool for beginners to learn
> emacs, and C-h d, C-h k, C-h m and C-h t are extremely useful.
>
> Sadly the sheer number of help options made it extremely hard for me
> in the beginning to find out what help I really needed. Most times is
> was simply C-h d or C-h k.
>
> So I’d suggest to seperate the help options into two parts: “needed often by 
> most people” and “needed only in very specific situations”. 
>
> Then just put the first at the beginning of the help output (common help 
> options) and in a next paragraph add the rest (advanced help options). 
>
> That should make it far easier for beginners to find the help topic they need 
> (and I can safely tell people “if you need help, just type C-h C-h”). 

(I'm going through old bug reports that have unfortunately gotten no
attention yet.)

I think the difficult thing here would be to figure out what help
commands are needed often and which ones are more obscure.  For
instance, I use `C-h f' all the time, and I never use `C-h d', so I
think it just varies.

I don't think there's any really obscure ones until we get to the
`C-h C-' help stuff (like `C-h C-w'), and those are already deempathised
by being last.  So I think the current alphabetical organisation makes
the most sense in the long term, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no